//
//  ViewController.swift
//  iOSKamera
//
//  Created by Michael Wilhelm on 1/05/2016.
//  Copyright © 2016 Michael Wilhelm. All rights reserved.
//

import UIKit

class ViewController: UIViewController, UINavigationControllerDelegate, UIImagePickerControllerDelegate {
    
    // uiAttribute
    @IBOutlet var imageView: UIImageView!
    var  uiImagePickerController: UIImagePickerController!
    
    //uiEvents
    @IBAction func bnTakePictureClick(sender: UIButton) {
        uiImagePickerController = UIImagePickerController()
        uiImagePickerController.delegate = self
        uiImagePickerController.sourceType = UIImagePickerControllerSourceType.Camera
        
        presentViewController(
            uiImagePickerController,
            animated: true,
            completion: nil)			// insert Codeblock 2 the image
    }
    
//    Auflistung des UIImagePickerControllerSourceType:
//    .Camera
//    PhotoLibrary
//    SavedPhotosAlbum

    func imagePickerController(picker: UIImagePickerController!, didFinishPickingImage image: UIImage!, editingInfo: NSDictionary!) {
        let selectedImage : UIImage = image
        //var tempImage:UIImage = editingInfo[UIImagePickerControllerOriginalImage] as UIImage
        imageView.image=selectedImage
        self.dismissViewControllerAnimated(true, completion: nil)
    }
    
    
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        imageView.image = UIImage(named:"gummibaerchen");
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

